<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.WebException"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
%>
<base:page type="default">
<base:head 
	scripts="~../varsearch.js,~manager.js" 
	styles="path.css,~../css/varsearch.css"
	>

<style>

.index-div
{
	display: grid; 
	grid-template-columns: 2fr 1fr 1fr;
	width: 60em;
	border-width: 1px;
	margin-left: 2em;
	margin-bottom: 1em;
}

.index-div > div
{
	padding: 3px 4px;
}

.index-div > div:nth-child(n+5)
{
	border-top-width: 1px;
	border-top-style: dotted;
}

.index-div > div:nth-child(3n)
{
	text-align: right;
}

.index-name
{
	grid-column: span 3;
	font-weight: bold;
	border-bottom-width: 1px;
}

.index-action
{
	background-image: url('../images/action.png');
	background-repeat: no-repeat;
	background-position: 0 50%;
	padding-left: 10px;
	font-weight: bold;
}

.next-action
{
	background-image: url('../images/action.png');
	background-repeat: no-repeat;
	background-position: 5px 50%;
	padding-left: 15px;
	font-style: italic;
	opacity: 0.5;
}

</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Variant search" href="<%="index.jsp?ID="+ID%>" 
		/><p:pathelement title="Index manager" 
		/></p:path>

	<div class="content">
		<div" id="wizard">

			<div id="indexList"></div>

			<div id="wizard-status"></div>
			<div id="wizard-progress"></div>
		
		</div>
	</div>
	
</base:body>
</base:page>
