var RbaHits = function()
{
	var rbahits = {};
	
	// Page initialization
	rbahits.initPage = function()
	{
		Buttons.addClickHandler('close', App.closeWindow);
		var url = 'Hit.servlet?ID='+App.getSessionId();
		url += '&cmd=GetAllRbaHits';
		url += '&rbaId='+Data.int('page-data', 'rba');
		url += '&fileId='+Data.int('page-data', 'file');
		url += '&idx='+encodeURIComponent(Data.get('page-data', 'idx'));
		Wizard.showLoadingAnimation('Loading variant data...');
		Wizard.asyncJsonRequest(url, rbahits.detailsLoaded);
	}
	
	rbahits.detailsLoaded = function(response)
	{
		var title = response.rbaName;
		if (response.fileName) 
		{
			title += ' - ' + response.fileName;
		}
		else if (response.indexName)
		{
			title += ' - ' + response.indexName
		}
		Doc.element('doc-title').innerHTML = Strings.encodeTags(title);
	
		Doc.element('headers').innerHTML = response.header;
		Doc.element('results').innerHTML = response.results;
		Doc.autoInitElements('snp-table');
	}
	
	rbahits.refAlt = function(ref, alt, maxLength)
	{
		if (!maxLength) maxLength = 15;
		if (ref.length > maxLength) 
		{
			ref = "<span title=\""+ref+"\">"+ref.substring(0, maxLength)+"...</span>";
		}
		if (alt.length > maxLength) 
		{
			alt = "<span title=\""+alt+"\">"+alt.substring(0, maxLength)+"...</span>";
		}
		return ref + "&#8239;›&#8239;" + alt; // &#8239; is a narrow non-breaking space
	}

	
	return rbahits;
}();

Doc.onLoad(RbaHits.initPage);

